## palemoon 29.4.0.1

=== platform/security/nss/lib/ckfw/builtins/testlib/Makefile ===
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

include manifest.mn
include $(CORE_DEPTH)/coreconf/config.mk
include config.mk

EXTRA_LIBS =                                       \
	$(DIST)/lib/$(LIB_PREFIX)nssckfw.$(LIB_SUFFIX) \
	$(DIST)/lib/$(LIB_PREFIX)nssb.$(LIB_SUFFIX)    \
	$(NULL)

# If the OS_TARGET is WIN%, the path of shared libs could be different.
ifeq (,$(filter-out WIN%,$(OS_TARGET)))
# If using GCC, just inform the name of the libs.
ifdef NS_USE_GCC
EXTRA_SHARED_LIBS +=  \
	-L$(NSPR_LIB_DIR) \
	-lplc4            \
	-lplds4           \
	-lnspr4           \
	$(NULL)
else # NS_USE_GCC - If not using GCC, inform the absolute path.
EXTRA_SHARED_LIBS += 				\
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plc4.lib  \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plds4.lib \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)nspr4.lib \
	$(NULL)
endif # NS_USE_GCC
else # OS_TARGET != WIN
EXTRA_SHARED_LIBS +=  \
	-L$(NSPR_LIB_DIR) \
	-lplc4            \
	-lplds4           \
	-lnspr4           \
	$(NULL)
endif # OS_TARGET

SIMPLE_OBJS   = $(notdir $(CSRCS:.c=$(OBJ_SUFFIX)))
OBJS          = $(addprefix $(OBJDIR)/$(PROG_PREFIX), $(SIMPLE_OBJS))
vpath %c $(dir $(CSRCS)) # $(OBJDIR)


include $(CORE_DEPTH)/coreconf/rules.mk

CFLAGS += -I$(CORE_DEPTH)/lib/ckfw/builtins

# Generate certdata-testlib.c.
ifndef NSS_CERTDATA-TESTLIB_TXT
NSS_CERTDATA-TESTLIB_TXT = certdata-testlib.txt
endif

$(OBJDIR)/certdata-testlib.c: $(NSS_CERTDATA-TESTLIB_TXT)
	@$(MAKE_OBJDIR)
	$(PERL) ../certdata.perl $(NSS_CERTDATA-TESTLIB_TXT) $@

=== debian/changelog ===
palemoon (29.4.0.1-1.gtk2.mx19) mx; urgency=high

  * This is an out-of-band update to address the following issue:
    In 29.4.0, the optional FUEL component (long since deprecated precursor to
    the Mozilla Add-On SDK) was removed from Pale Moon. This had an unexpected
    impact on a number of popular extensions as well as a few bits of core
    functionality that went unnoticed in our pre-release testing and unstable
    channel.
    As part of our commitment to resolving issues and giving extension
    developers some more time to address any problems with this removal of the
    component from the browser, this update temporarily restores the FUEL
    component.
    If you are an extension developer relying on FUEL components or namespaces
    (e.g. implicit 'Application'), please update your extension before the next
    major release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Aug 2021 12:30:49 -0700

palemoon (29.4.0-1) UNRELEASED; urgency=medium

  * Import new development, bugfix and security release:
    - Implemented promise.allSettled().
    - Implemented global origin on windows and workers.
    - Improved performance of memory allocations.
    - Updated libcubeb to the current development version. This improves OSS
      compatibility and addresses potential crashes, performance issues and
      security issues.
    - Updated SQLite to 3.36.0.
    - Improved thread safety of the web content cache. DiD
    - Added several fixes to avoid potential crashes and security issues. DiD
    - Unified XUL Platform Mozilla Security Patch Summary: 5 DiD, 12 not 
      applicable.
  * Though nonparallel builds aren't needed in these gtk2 builds, since newer
    distrelease builds are all going to be all gtk3, inherit the new 
    mozconfig-nonparallel filename from there anyway, since Bullseye and Hirsute
    now have the same make issue.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Aug 2021 12:30:34 -0700

=== debian/control ===
Source: palemoon
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
Build-Depends: autoconf2.13,
               debhelper (>= 9),
               libasound2-dev,
               libdbus-1-dev (>=0.60),
               libdbus-glib-1-dev (>= 0.60),
               libfontconfig1-dev,
               libgconf2-dev (>= 1.2.1),
               libgtk2.0-dev (>= 2.14),
               libpulse-dev,
               libx11-xcb-dev,
               libxt-dev,
               lsb-release,
               mesa-common-dev,
               pkg-config,
               python (>= 2.7) | python2 (>= 2.7.18-2~),
               unzip,
               yasm (>= 1.1),
               zip
Standards-Version: 3.9.6
Homepage: http://www.palemoon.org/

Package: palemoon
Architecture: any
Depends: libavcodec54 | libavcodec-extra54 | libavcodec55 | libavcodec-extra55 | libavcodec56 | libavcodec-extra56 | libavcodec57 | libavcodec-extra57 | libavcodec58 | libavcodec-extra58 | libavcodec-ffmpeg56 | libavcodec-ffmpeg-extra56,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-www-browser, www-browser, x-www-browser
Conflicts: palemoon-nonsse2
Replaces: palemoon-nonsse2
Description: Firefox-based, efficient and easy to use web browser
 Pale Moon offers selected features and optimizations to maximize
 the browser's speed, stability and user experience, while maintaining
 compatibility with the thousands of Firefox extensions you have come
 to love and rely on.
 .
 Pale Moon requires a processor that supports the SSE2 instruction set.
 Run "/proc/cpuinfo" in a terminal, and look for sse2 in the flags to ensure
 that your processor supports it.

=== debian/rules ===
#!/usr/bin/make -f

export SHELL=/bin/bash

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	find . -name '*.pyc' -delete
	rm -f mozconfig

# Build with gcc-8 on releases where default gcc is >= 9
# distrelease := $(shell lsb_release -cs)
# ifeq ($(distrelease),$(filter $(distrelease),focal))
# export CC=gcc-8
# export CXX=g++-8
# export CPP=cpp-8
# export LD=gcc-8
# endif

# Use a custom mozconfig for newer releases to build with one thread.
# Builds on Debian derivatives may have to add their own distrelease codename.
distrelease := $(shell lsb_release -cs)
ifeq ($(distrelease),$(filter $(distrelease),sid bookworm bullseye groovy hirsute))
override_dh_auto_configure:
	cp debian/mozconfig-nonparallel debian/mozconfig
endif

override_dh_auto_build:
	cp debian/mozconfig mozconfig
	make -f client.mk build

override_dh_auto_install:
	make -f client.mk DESTDIR=$$(pwd)/debian/palemoon prefix=/usr \
        installdir=/usr/lib/palemoon \
        sdkdir=/usr/lib/palemoon-devel install
	rm -rf $$(pwd)/debian/palemoon/usr/share/idl
	rm -rf $$(pwd)/debian/palemoon/usr/lib/palemoon-devel
	rm -rf $$(pwd)/debian/palemoon/usr/include
# remove vestigial duplicate file
	rm -rf $$(pwd)/debian/palemoon/usr/lib/palemoon/palemoon-bin

override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/palemoon

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xdebian/palemoon/usr/lib/palemoon/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}.xpi

## palemoon 29.4.0.2

=== debian/changelog ===
palemoon (29.4.0.2-1.gtk3.mx21) mx; urgency=medium

  * This is an out-of-band update to address the following issue:
     In rare occasions on both Linux and Windows, audio would stop working (e.g.
     for playing videos or MP3s). We're still investigating the root cause of
     this issue on Windows (Linux cause was already found) but have temporarily
     reverted to our previous audio library (libcubeb) version for this release
     to provide a proper media experience for our users in the interim.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Aug 2021 12:20:32 -0700

palemoon (29.4.0.1-1.gtk3.mx21) mx; urgency=high

  * This is an out-of-band update to address the following issue:
    In 29.4.0, the optional FUEL component (long since deprecated precursor to
    the Mozilla Add-On SDK) was removed from Pale Moon. This had an unexpected
    impact on a number of popular extensions as well as a few bits of core
    functionality that went unnoticed in our pre-release testing and unstable
    channel.
    As part of our commitment to resolving issues and giving extension
    developers some more time to address any problems with this removal of the
    component from the browser, this update temporarily restores the FUEL
    component.
    If you are an extension developer relying on FUEL components or namespaces
    (e.g. implicit 'Application'), please update your extension before the next
    major release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Aug 2021 12:30:49 -0700

## palemoon 29.4.1

=== debian/changelog ===
palemoon (29.4.1-1.gtk3.mx21) mx; urgency=high

  * This is a security update:
   - Fixed potential crashes. DiD
   - Fixed a potential indirect exploit of Microsoft Internet Explorer.

  * Drop the armhf fix patch--applied upstream.
  * Bring the mozconfigs closer to what appears on the PM devs site.
  * Don't enable av1/aom on Jessie or Xenial builds; they FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 15 Sep 2021 15:46:14 -0700

palemoon (29.4.0.2-1.gtk2) obs; urgency=medium

  * This is an out-of-band update to address the following issue:
     In rare occasions on both Linux and Windows, audio would stop working (e.g.
     for playing videos or MP3s). We're still investigating the root cause of
     this issue on Windows (Linux cause was already found) but have temporarily
     reverted to our previous audio library (libcubeb) version for this release
     to provide a proper media experience for our users in the interim.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Aug 2021 12:20:32 -0700

palemoon (29.4.0.1-1.gtk2) obs; urgency=high

  * This is an out-of-band update to address the following issue:
    In 29.4.0, the optional FUEL component (long since deprecated precursor to
    the Mozilla Add-On SDK) was removed from Pale Moon. This had an unexpected
    impact on a number of popular extensions as well as a few bits of core
    functionality that went unnoticed in our pre-release testing and unstable
    channel.
    As part of our commitment to resolving issues and giving extension
    developers some more time to address any problems with this removal of the
    component from the browser, this update temporarily restores the FUEL
    component.
    If you are an extension developer relying on FUEL components or namespaces
    (e.g. implicit 'Application'), please update your extension before the next
    major release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Aug 2021 12:30:49 -0700

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,19 @@
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-               libgtk2.0-dev (>= 2.14),
+               libgtk-3-dev (>= 3.0.4),
+               libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
                lsb-release,
                mesa-common-dev,
                pkg-config,
-               python (>= 2.7) | python2 (>= 2.7.18-2~),
+# The following alternatives work for the OBS and manual builds, but you will
+# have to have just one of the appropriate alternatives for sbuilds.
+               python2 (>= 2.7.18-2~) | python (>= 2.7),
                unzip,
-               yasm (>= 1.1),
+               yasm,
                zip
 Standards-Version: 3.9.6
 Homepage: http://www.palemoon.org/

## palemoon 29.4.2

=== debian/changelog ===
palemoon (29.4.2-1.gtk3.mx21) mx; urgency=medium

  * This is a security update:
    - Fixed a spec compliance issue with IDN that could potentially cause
      confusion of domain names.
    - Fixed several intermittent thread sanity issues. DiD
    - Fixed a potential UAF risk in certain situations in networking. DiD
    - Fixed a potential crash risk (not exposed). DiD
    - Fixed a potential spoofing risk using form validation. (CVE-2021-38508)
    - Fixed a script sandbox escape issue through XSLT. (CVE-2021-38503)
    - Added a preference to enable compatibility mode with earlier TLS 1.3
      specifications.
    - Unified XUL Platform Mozilla Security Patch Summary: 3 fixed, 1 already
      applied, 4 DiD, 7 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Nov 2021 14:27:52 -0800

palemoon (29.4.1-2.gtk3) obs; urgency=medium

  * Add support for Impish, and have it and Sid build with gcc-10.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Oct 2021 12:48:45 -0700

palemoon (29.4.1-1.gtk3) obs; urgency=high

  * This is a security update:
   - Fixed potential crashes. DiD
   - Fixed a potential indirect exploit of Microsoft Internet Explorer.

  * Drop the armhf fix patch--applied upstream.
  * Bring the mozconfigs closer to what appears on the PM devs site.
  * Don't enable av1/aom on Jessie or Xenial builds; they FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 15 Sep 2021 15:46:14 -0700

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
                debhelper (>= 9),
+               g++-10 | g++,
+               gcc-10 | gcc,
                libasound2-dev,
                libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
@@ -18,12 +20,11 @@
                lsb-release,
                mesa-common-dev,
                pkg-config,
-# The following alternatives work for the OBS and manual builds, but you will
-# have to have just one of the appropriate alternatives for sbuilds.
                python2 (>= 2.7.18-2~) | python (>= 2.7),
                unzip,
                yasm,
                zip
+Build-Conflicts: gcc-11, g++-11
 Standards-Version: 3.9.6
 Homepage: http://www.palemoon.org/

=== debian/rules ===
--- 
+++ 
@@ -10,19 +10,19 @@
 	find . -name '*.pyc' -delete
 	rm -f mozconfig
 
-# Build with gcc-8 on releases where default gcc is >= 9
-# distrelease := $(shell lsb_release -cs)
-# ifeq ($(distrelease),$(filter $(distrelease),focal))
-# export CC=gcc-8
-# export CXX=g++-8
-# export CPP=cpp-8
-# export LD=gcc-8
-# endif
+# Build with gcc-10 on releases where default gcc is 11
+distrelease := $(shell lsb_release -cs)
+ifeq ($(distrelease),$(filter $(distrelease),sid impish))
+export CC=gcc-10
+export CXX=g++-10
+export CPP=cpp-10
+export LD=gcc-10
+endif
 
 # Use a custom mozconfig for newer releases to build with one thread.
 # Builds on Debian derivatives may have to add their own distrelease codename.
 distrelease := $(shell lsb_release -cs)
-ifeq ($(distrelease),$(filter $(distrelease),sid bookworm bullseye groovy hirsute))
+ifeq ($(distrelease),$(filter $(distrelease),sid bookworm bullseye groovy hirsute impish))
 override_dh_auto_configure:
 	cp debian/mozconfig-nonparallel debian/mozconfig
 endif

## palemoon 29.4.2.1

=== debian/changelog ===
palemoon (29.4.2.1-1.gtk2.mx19) mx; urgency=medium

  * This is a small update to address the folowing issue:
    - Autocomplete drop-downs would have uncorrect styling, causing issues with
      custom themes (e.g. unreadable) and not displaying as-intended.

  * Add revert-mach-file.patch to fix FTBFS.
  * Added some special control files for normal and distreleases with gcc-11 
    such as Sid so one set of sources fits all again.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 Nov 2021 11:33:46 -0800

palemoon (29.4.2-1.gtk2) obs; urgency=medium

  * This is a security update:
    - Fixed a spec compliance issue with IDN that could potentially cause
      confusion of domain names.
    - Fixed several intermittent thread sanity issues. DiD
    - Fixed a potential UAF risk in certain situations in networking. DiD
    - Fixed a potential crash risk (not exposed). DiD
    - Fixed a potential spoofing risk using form validation. (CVE-2021-38508)
    - Fixed a script sandbox escape issue through XSLT. (CVE-2021-38503)
    - Added a preference to enable compatibility mode with earlier TLS 1.3
      specifications.
    - Unified XUL Platform Mozilla Security Patch Summary: 3 fixed, 1 already
      applied, 4 DiD, 7 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Nov 2021 14:27:52 -0800

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
                debhelper (>= 9),
-               g++-10 | g++,
-               gcc-10 | gcc,
                libasound2-dev,
                libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-               libgtk-3-dev (>= 3.0.4),
+#               libgtk-3-dev (>= 3.14),
                libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
@@ -24,7 +22,6 @@
                unzip,
                yasm,
                zip
-Build-Conflicts: gcc-11, g++-11
 Standards-Version: 3.9.6
 Homepage: http://www.palemoon.org/

## palemoon 29.4.3

=== debian/changelog ===
palemoon (29.4.3-1.gtk3.mx21) mx; urgency=medium

  * This is a security update with a few extras. This update reinstates FUEL
    again for old extension compatibility:
    - Restored the FUEL abstraction library again.
    - Added some extra sanity checks to timers and text fragments. DiD
    - Added a potential crash safeguard in program threading logic. DiD
    - Fixed the following security issues: CVE-2021-43537, CVE-2021-43541,
      CVE-2021-43536, CVE-2021-43545 and CVE-2021-43542.
    - Unified XUL Platform Mozilla Security Patch Summary: 5 fixed, 3 DiD,
      10 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Dec 2021 13:01:37 -0800

palemoon (29.4.2.1-1.gtk2) obs; urgency=medium

  * This is a small update to address the folowing issue:
    - Autocomplete drop-downs would have uncorrect styling, causing issues with
      custom themes (e.g. unreadable) and not displaying as-intended.

  * Add revert-mach-file.patch to fix FTBFS.
  * Added some special control files for normal and distreleases with gcc-11 
    such as Sid so one set of sources fits all again.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 Nov 2021 11:33:46 -0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-#               libgtk-3-dev (>= 3.14),
+               libgtk-3-dev (>= 3.14),
                libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
@@ -18,7 +18,7 @@
                lsb-release,
                mesa-common-dev,
                pkg-config,
-               python2 (>= 2.7.18-2~) | python (>= 2.7),
+               python2,
                unzip,
                yasm,
                zip

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,16 @@
 	dh_auto_clean
 	find . -name '*.pyc' -delete
 	rm -f mozconfig
+	cp debian/control.normal debian/control
 
 # Build with gcc-10 on releases where default gcc is 11
 distrelease := $(shell lsb_release -cs)
-ifeq ($(distrelease),$(filter $(distrelease),sid impish))
+ifeq ($(distrelease),$(filter $(distrelease),sid bookworm impish))
 export CC=gcc-10
 export CXX=g++-10
 export CPP=cpp-10
 export LD=gcc-10
+	cp debian/control.sid debian/control
 endif
 
 # Use a custom mozconfig for newer releases to build with one thread.

## palemoon 29.4.4

=== platform/media/libaom/src/CMakeLists.txt ===
#
# Copyright (c) 2016, Alliance for Open Media. All rights reserved
#
# This source code is subject to the terms of the BSD 2 Clause License and the
# Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License was
# not distributed with this source code in the LICENSE file, you can obtain it
# at www.aomedia.org/license/software. If the Alliance for Open Media Patent
# License 1.0 was not distributed with this source code in the PATENTS file, you
# can obtain it at www.aomedia.org/license/patent.
#
cmake_minimum_required(VERSION 3.5)
project(AOM C CXX)

if(NOT EMSCRIPTEN)
  if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_BUILD_TYPE
        "Release"
        CACHE STRING "Build type: Debug, Release, RelWithDebInfo or MinSizeRel"
              FORCE)
  endif()
endif()

set(AOM_ROOT "${CMAKE_CURRENT_SOURCE_DIR}")
set(AOM_CONFIG_DIR "${CMAKE_CURRENT_BINARY_DIR}")

if("${AOM_ROOT}" STREQUAL "${AOM_CONFIG_DIR}")
  message(
    FATAL_ERROR "Building from within the aom source tree is not supported.\n"
                "Hint: Run these commands\n"
                "$ rm -rf CMakeCache.txt CMakeFiles\n"
                "$ mkdir -p ../aom_build\n" "$ cd ../aom_build\n"
                "And re-run CMake from the aom_build directory.")
endif()

# Updating version info.
# https://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
set(SO_VERSION 2)
set(SO_FILE_VERSION 2.0.2)

include("${AOM_ROOT}/build/cmake/aom_configure.cmake")
include("${AOM_ROOT}/aom_dsp/aom_dsp.cmake")
include("${AOM_ROOT}/aom_mem/aom_mem.cmake")
include("${AOM_ROOT}/aom_ports/aom_ports.cmake")
include("${AOM_ROOT}/aom_scale/aom_scale.cmake")
include("${AOM_ROOT}/aom_util/aom_util.cmake")
include("${AOM_ROOT}/av1/av1.cmake")
include("${AOM_ROOT}/build/cmake/aom_install.cmake")
include("${AOM_ROOT}/build/cmake/sanitizers.cmake")
include("${AOM_ROOT}/build/cmake/util.cmake")
include("${AOM_ROOT}/test/test.cmake")

list(APPEND AOM_RTCD_SOURCES
            "${AOM_CONFIG_DIR}/config/aom_dsp_rtcd.h"
            "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
            "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
            "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd_defs.pl"
            "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd.c"
            "${AOM_ROOT}/aom_scale/aom_scale_rtcd.pl"
            "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c"
            "${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
            "${AOM_ROOT}/av1/common/av1_rtcd.c"
            "${AOM_ROOT}/build/cmake/rtcd.pl")

list(APPEND AOM_LIBWEBM_SOURCES
            "${AOM_ROOT}/third_party/libwebm/common/hdr_util.cc"
            "${AOM_ROOT}/third_party/libwebm/common/hdr_util.h"
            "${AOM_ROOT}/third_party/libwebm/common/webmids.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxer.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxer.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxertypes.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxerutil.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxerutil.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvwriter.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvwriter.h"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvparser.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvparser.h"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvreader.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvreader.h")

list(APPEND AOM_LIBYUV_SOURCES
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/basic_types.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert_argb.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert_from.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/cpu_id.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/planar_functions.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/rotate.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/row.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/scale.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/scale_row.h"
            "${AOM_ROOT}/third_party/libyuv/source/cpu_id.cc"
            "${AOM_ROOT}/third_party/libyuv/source/planar_functions.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_any.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_common.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_gcc.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_mips.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_neon.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_neon64.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_win.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_any.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_common.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_gcc.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_mips.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_neon.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_neon64.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_win.cc")

list(APPEND AOM_SOURCES
            "${AOM_CONFIG_DIR}/config/aom_config.c"
            "${AOM_CONFIG_DIR}/config/aom_config.h"
            "${AOM_ROOT}/aom/aom.h"
            "${AOM_ROOT}/aom/aom_codec.h"
            "${AOM_ROOT}/aom/aom_decoder.h"
            "${AOM_ROOT}/aom/aom_encoder.h"
            "${AOM_ROOT}/aom/aom_frame_buffer.h"
            "${AOM_ROOT}/aom/aom_image.h"
            "${AOM_ROOT}/aom/aom_integer.h"
            "${AOM_ROOT}/aom/aomcx.h"
            "${AOM_ROOT}/aom/aomdx.h"
            "${AOM_ROOT}/aom/internal/aom_codec_internal.h"
            "${AOM_ROOT}/aom/internal/aom_image_internal.h"
            "${AOM_ROOT}/aom/src/aom_codec.c"
            "${AOM_ROOT}/aom/src/aom_decoder.c"
            "${AOM_ROOT}/aom/src/aom_encoder.c"
            "${AOM_ROOT}/aom/src/aom_image.c"
            "${AOM_ROOT}/aom/src/aom_integer.c")

list(APPEND AOM_COMMON_APP_UTIL_SOURCES
            "${AOM_ROOT}/common/args.c"
            "${AOM_ROOT}/common/args.h"
            "${AOM_ROOT}/common/av1_config.c"
            "${AOM_ROOT}/common/av1_config.h"
            "${AOM_ROOT}/common/md5_utils.c"
            "${AOM_ROOT}/common/md5_utils.h"
            "${AOM_ROOT}/common/tools_common.c"
            "${AOM_ROOT}/common/tools_common.h"
            "${AOM_ROOT}/common/video_common.h"
            "${AOM_ROOT}/common/rawenc.c"
            "${AOM_ROOT}/common/rawenc.h"
            "${AOM_ROOT}/common/y4menc.c"
            "${AOM_ROOT}/common/y4menc.h")

list(APPEND AOM_DECODER_APP_UTIL_SOURCES "${AOM_ROOT}/common/ivfdec.c"
            "${AOM_ROOT}/common/ivfdec.h" "${AOM_ROOT}/common/obudec.c"
            "${AOM_ROOT}/common/obudec.h" "${AOM_ROOT}/common/video_reader.c"
            "${AOM_ROOT}/common/video_reader.h")

list(APPEND AOM_ENCODER_APP_UTIL_SOURCES
            "${AOM_ROOT}/common/ivfenc.c"
            "${AOM_ROOT}/common/ivfenc.h"
            "${AOM_ROOT}/common/video_writer.c"
            "${AOM_ROOT}/common/video_writer.h"
            "${AOM_ROOT}/common/warnings.c"
            "${AOM_ROOT}/common/warnings.h"
            "${AOM_ROOT}/common/y4minput.c"
            "${AOM_ROOT}/common/y4minput.h"
            "${AOM_ROOT}/examples/encoder_util.h"
            "${AOM_ROOT}/examples/encoder_util.c")

list(APPEND AOM_ENCODER_STATS_SOURCES "${AOM_ROOT}/stats/aomstats.c"
            "${AOM_ROOT}/stats/aomstats.h" "${AOM_ROOT}/stats/rate_hist.c"
            "${AOM_ROOT}/stats/rate_hist.h")

list(APPEND AOM_VERSION_SOURCES "${AOM_CONFIG_DIR}/config/aom_version.h")

list(APPEND AOM_WEBM_DECODER_SOURCES "${AOM_ROOT}/common/webmdec.cc"
            "${AOM_ROOT}/common/webmdec.h")

list(APPEND AOM_WEBM_ENCODER_SOURCES "${AOM_ROOT}/common/webmenc.cc"
            "${AOM_ROOT}/common/webmenc.h")

include_directories(${AOM_ROOT} ${AOM_CONFIG_DIR} ${AOM_ROOT}/apps
                    ${AOM_ROOT}/common ${AOM_ROOT}/examples ${AOM_ROOT}/stats)

# Targets
add_library(aom_version ${AOM_VERSION_SOURCES})
add_dummy_source_file_to_target(aom_version c)
add_custom_command(OUTPUT "${AOM_CONFIG_DIR}/config/aom_version.h"
                   COMMAND ${CMAKE_COMMAND} ARGS
                           -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                           -DAOM_ROOT=${AOM_ROOT}
                           -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                           -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                           "${AOM_ROOT}/build/cmake/version.cmake"
                   COMMENT "Writing aom_version.h"
                   VERBATIM)

add_custom_target(aom_version_check
                  COMMAND ${CMAKE_COMMAND}
                          -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                          -DAOM_ROOT=${AOM_ROOT}
                          -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                          -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                          "${AOM_ROOT}/build/cmake/version.cmake"
                  COMMENT "Updating version info if necessary."
                  VERBATIM)

if(BUILD_SHARED_LIBS AND NOT MSVC)
  # Generate version file immediately for non-MSVC shared builds: The version
  # string is needed for the aom target.
  execute_process(COMMAND ${CMAKE_COMMAND}
                          -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                          -DAOM_ROOT=${AOM_ROOT}
                          -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                          -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                          "${AOM_ROOT}/build/cmake/version.cmake")
endif()

add_dependencies(aom_version aom_version_check)

# TODO(tomfinegan): Move rtcd target setup where it belongs for each rtcd
# source.
add_rtcd_build_step("${AOM_ROOT}/aom_dsp/aom_dsp_rtcd_defs.pl"
                    "${AOM_CONFIG_DIR}/config/aom_dsp_rtcd.h"
                    "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd.c" "aom_dsp_rtcd")
add_rtcd_build_step("${AOM_ROOT}/aom_scale/aom_scale_rtcd.pl"
                    "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
                    "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c" "aom_scale_rtcd")
add_rtcd_build_step("${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
                    "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
                    "${AOM_ROOT}/av1/common/av1_rtcd.c" "av1_rtcd")

add_library(aom_rtcd OBJECT ${AOM_RTCD_SOURCES})
add_dependencies(aom_rtcd aom_version)

if(ENABLE_EXAMPLES)
  add_library(aom_encoder_stats OBJECT ${AOM_ENCODER_STATS_SOURCES})
  set(AOM_LIB_TARGETS ${AOM_LIB_TARGETS} aom_encoder_stats)
endif()

add_library(aom ${AOM_SOURCES} $<TARGET_OBJECTS:aom_rtcd>)
if(BUILD_SHARED_LIBS)
  add_library(aom_static STATIC ${AOM_SOURCES} $<TARGET_OBJECTS:aom_rtcd>)
  set_target_properties(aom_static PROPERTIES OUTPUT_NAME aom)

  if(NOT MSVC)
    # Extract version string and set VERSION/SOVERSION for the aom target.
    extract_version_string("${AOM_CONFIG_DIR}/config/aom_version.h"
                           aom_version_triple)

    # Strip any trailing version information, if present.
    string(FIND "${aom_version_triple}" "-" dash_pos)
    if(NOT dash_pos EQUAL -1)
      string(SUBSTRING "${aom_version_triple}" 0 ${dash_pos} aom_version_triple)
    endif()

    # cmake-format: off
    # VERSION is embedded in the .so file name.
    # libaom.so -> libaom.so.SOVERSION
    # libaom.so.SOVERSION -> libaom.so.VERSION
    # libaom.so.VERSION
    # cmake-format: on
    set_target_properties(aom PROPERTIES SOVERSION ${SO_VERSION})
    set_target_properties(aom PROPERTIES VERSION ${SO_FILE_VERSION})
  endif()
endif()

if(NOT MSVC AND NOT APPLE)
  target_link_libraries(aom ${AOM_LIB_LINK_TYPE} m)
  if(BUILD_SHARED_LIBS)
    target_link_libraries(aom_static ${AOM_LIB_LINK_TYPE} m)
  endif()

=== debian/changelog ===
palemoon (29.4.4-1.gtk3.mx21) mx; urgency=medium

  * This is a security update:
    - Improved application library loading security. DiD
    - Fixed an issue in JavaScript serialization. DiD
    - Fixed a potential out-of-bounds issue in IndexedDB. DiD
    - Fixed a potential issue in widget data handling code. DiD
    - Fixed potentially exploitable crashes in handling truncated/corrupt media
      files or streams.
    - Fixed an issue in the DOM FileReader code.
    - Updated NSS to 3.52.3 to address a security issue.
    - Fixed the following security issues: CVE-2022-22736, CVE-2022-22741,
      CVE-2021-4140, CVE-2022-22746, CVE-2022-22744 and CVE-2022-22747.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Jan 2022 11:39:31 -0800

palemoon (29.4.3-1.1.gtk3) obs; urgency=medium

  * Restore the single-threaded build for distreleases with the problem "make"
    to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Dec 2021 12:07:03 -0800

palemoon (29.4.3-1.gtk2) obs; urgency=medium

  * This is a security update with a few extras. This update reinstates FUEL
    again for old extension compatibility:
    - Restored the FUEL abstraction library again.
    - Added some extra sanity checks to timers and text fragments. DiD
    - Added a potential crash safeguard in program threading logic. DiD
    - Fixed the following security issues: CVE-2021-43537, CVE-2021-43541,
      CVE-2021-43536, CVE-2021-43545 and CVE-2021-43542.
    - Unified XUL Platform Mozilla Security Patch Summary: 5 fixed, 3 DiD,
      10 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Dec 2021 13:01:37 -0800

palemoon (29.4.2.1-1.gtk3) obs; urgency=medium

  * This is a small update to address the following issue:
    - Autocomplete drop-downs would have uncorrect styling, causing issues with
      custom themes (e.g. unreadable) and not displaying as-intended.

  * Add revert-mach-file.patch to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 Nov 2021 11:33:46 -0800

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
+               libgtk2.0-dev (>= 2.18),
                libgtk-3-dev (>= 3.14),
-               libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
                lsb-release,
                mesa-common-dev,
                pkg-config,
-               python2,
+               python2 (>= 2.7.18-2~) | python (>= 2.7),
                unzip,
                yasm,
                zip

## palemoon 29.4.5.1

=== debian/changelog ===
palemoon (29.4.5.1-1.gtk3.mx21) mx; urgency=medium

  * Bugfix update to address performance issues due to caching.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Mar 2022 10:58:55 -0700

palemoon (29.4.5-1.gtk3) obs; urgency=medium

  * This is a security update:
    - Changes/fixes:
      - Fixed several application crash scenarios.
      - Fixed a number of thread locking/mutex issues.
      - Fixed a leak of content types due to inconsistent error reporting.
        (CVE-2022-22760)
      - Fixed an issue with iframe sandboxing not being properly applied.
        (CVE-2022-22759)
      - Fixed a potential leak of bookmarks from the exported bookmarks file if
        it included a malicious bookmarklet.
      - Fixed an issue with drag-and-drop. (CVE-2022-22756)
      - Fixed a potential crash due to truncated WAV files.
      - Fixed a memory safety issue with XSLT. (CVE-2022-26485)

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Mar 2022 13:42:25 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
+               libgtk-3-dev (>= 3.14),
                libgtk2.0-dev (>= 2.18),
-               libgtk-3-dev (>= 3.14),
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,

## palemoon 29.4.6

=== debian/changelog ===
palemoon (29.4.6-1.gtk3.mx21) mx; urgency=medium

  * This is a security and bugfix update:
    - Changes/fixes:
    - Fixed a potential crash issue on bing.com.
    - Updated NSS to 3.52.4 to address security issues.
    - Fixed some thread locking issues. DiD
    - Worked around a Mesa driver bug that could cause crashes.
    - Fixed a potential resource access issue in devtools. DiD
    - Security issues with CVEs addressed: CVE-2022-1097, CVE-2022-28285 (DiD)
      and CVE-2022-28283 (DiD).

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Apr 2022 10:39:10 -0700

## palemoon 31.0.0

=== debian/changelog ===
palemoon (31.0.0-1.gtk3.mx21) mx; urgency=medium

  * Major milestone release:
    - Once again accepts the installation of legacy Firefox extensions alongside
      own Pale Moon exclusive extensions. As always, please note that using
      extensions for an old version of a different browser is entirely at your
      own risk and we obviously cannot and will not provide much (if any)
      support for their use. Firefox extensions will be indicated with an
      orange dot in the Add-ons Manager in the browser. This will include the
      converted extensions for the few of you who are coming from recalled
      versions with -fxguid suffixes.
    - Implemented Global Privacy Control, taking the place of the unenforceable
      "DNT" (Do Not Track) signal. Through GPC, you indicate to websites that
      you do not want them to share or sell your data.
    - Implemented "optional chaining" (thanks, FranklinDM!).
    - Implemented setBaseAndExtent for text selections.
    - Implemented queueMicroTask() "pseudo-promise" callbacks.
    - Implemented accepting unit-less values for rootMargin in Intersection
      observers for web compatibility, making it act more like CSS margin as one
      would expect.
    - Improvements to CSS grid and flexbox rendering and display following spec
      changes and improving web compatibility.
    - Improved performance of parallel web workers in JavaScript.
    - Improved display of cursive scripts (on Windows). Good-bye Comic Sans!
    - Updated various in-tree libraries.
    - "Default browser" controls in preferences has been moved to "General".
    - Added support for extended VPx codec strings in media delivery via
      MSE (RFC-6381).
    - Fixed a long-time regression where the browser would no longer honor
      old-style body and iframe body margins when indicated in the HTML tags
      directly instead of CSS. This improves compatibility with particularly old and/or archived websites.
    - Fixed several crashes and stability issues.
    - Added a licensing screen to the Windows installer to clarify the browser's
      licensing. In other installations, you may find this licensing statement
      in the added license.txt file in the browser installation location.
    - Removed all Google SafeBrowsing/URLClassifier service code.
    - Restored Mac OS X code and buildability in the platform.
    - Removed the non-standard ArchiveReader DOM API that was only ever a
      prototype implementation from the platform. This potentially improves
      performance on some systems.
    - Removed leftover Electrolysis controls that could sometimes trick parts of
      the browser into starting in a (very broken) multi-process mode due to
      some plumbing for it still being present, if users would try to force the
      issue with preferences. Obviously, this was a footgun for power users.
    - Removed more Android/Fennec code (on-going effort to clean up our code).
    - Removed the Marionette automated testing framework.
    -  Security issues addressed: CVE-2022-29915, CVE-2022-29911, and several
       issues that do not have a CVE number.
    - UXP Mozilla security patch summary: 4 fixed, 1 DiD, 19 not applicable.

  * Disable all patches.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 May 2022 13:08:59 -0700

palemoon (29.4.6-1.gtk2) obs; urgency=medium

  * This is a security and bugfix update:
    - Changes/fixes:
    - Fixed a potential crash issue on bing.com.
    - Updated NSS to 3.52.4 to address security issues.
    - Fixed some thread locking issues. DiD
    - Worked around a Mesa driver bug that could cause crashes.
    - Fixed a potential resource access issue in devtools. DiD
    - Security issues with CVEs addressed: CVE-2022-1097, CVE-2022-28285 (DiD)
      and CVE-2022-28283 (DiD).

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Apr 2022 10:39:10 -0700

palemoon (29.4.5.1-1.gtk2) obs; urgency=medium

  * Bugfix update to address performance issues due to caching.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Mar 2022 10:58:55 -0700

palemoon (29.4.5-1.gtk2) obs; urgency=medium

  * This is a security update:
    - Changes/fixes:
      - Fixed several application crash scenarios.
      - Fixed a number of thread locking/mutex issues.
      - Fixed a leak of content types due to inconsistent error reporting.
        (CVE-2022-22760)
      - Fixed an issue with iframe sandboxing not being properly applied.
        (CVE-2022-22759)
      - Fixed a potential leak of bookmarks from the exported bookmarks file if
        it included a malicious bookmarklet.
      - Fixed an issue with drag-and-drop. (CVE-2022-22756)
      - Fixed a potential crash due to truncated WAV files.
      - Fixed a memory safety issue with XSLT. (CVE-2022-26485)

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Mar 2022 13:42:25 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-               libgtk-3-dev (>= 3.14),
                libgtk2.0-dev (>= 2.18),
+               libgtk-3-dev,
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
